package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeviceCopyConfigurationOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceCopyConfigurationOpenApiVo   {
  @JsonProperty("sourceMac")
  private String sourceMac;

  @JsonProperty("targetMac")
  private String targetMac;

  public DeviceCopyConfigurationOpenApiVo sourceMac(String sourceMac) {
    this.sourceMac = sourceMac;
    return this;
  }

  /**
   * Source device MAC, like AA-BB-CC-DD-EE-FF
   * @return sourceMac
  */
  @ApiModelProperty(required = true, value = "Source device MAC, like AA-BB-CC-DD-EE-FF")
  @NotNull


  public String getSourceMac() {
    return sourceMac;
  }

  public void setSourceMac(String sourceMac) {
    this.sourceMac = sourceMac;
  }

  public DeviceCopyConfigurationOpenApiVo targetMac(String targetMac) {
    this.targetMac = targetMac;
    return this;
  }

  /**
   * Target device MAC, like AA-BB-CC-DD-EE-FF
   * @return targetMac
  */
  @ApiModelProperty(required = true, value = "Target device MAC, like AA-BB-CC-DD-EE-FF")
  @NotNull


  public String getTargetMac() {
    return targetMac;
  }

  public void setTargetMac(String targetMac) {
    this.targetMac = targetMac;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceCopyConfigurationOpenApiVo deviceCopyConfigurationOpenApiVo = (DeviceCopyConfigurationOpenApiVo) o;
    return Objects.equals(this.sourceMac, deviceCopyConfigurationOpenApiVo.sourceMac) &&
        Objects.equals(this.targetMac, deviceCopyConfigurationOpenApiVo.targetMac);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sourceMac, targetMac);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceCopyConfigurationOpenApiVo {\n");
    
    sb.append("    sourceMac: ").append(toIndentedString(sourceMac)).append("\n");
    sb.append("    targetMac: ").append(toIndentedString(targetMac)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

